<?php
session_start();
$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
?>
<html>
    <head>
        <meta charset="utf-8">
    	<meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Inicio</title>
        <link rel="stylesheet" type="text/css" href="css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="css/stylesheet.css">           
        <script src="js/jquery.min.js"></script>
        <script type="text/javascript" src="js/script.js"></script>
        

        <?php
			require ("./Funciones/funciones.php");
			$conexion = conecta();
			
			
			$sql= "SELECT * FROM pedidos_items where idpedido =0 and idusuario='$iduser'";
            $res = mysqli_query($conexion,$sql);
            $num = mysqli_num_rows($res);
			

			

        ?>
        
    <script type="text/javascript">
            function Iniciar(f) { 
                var usuario = $('#usuario').val();
                var pass = $('#pass').val();

                if (f.usuario.value == '') 
                { 
                    alert ('El nombre de usuario esta vacio');  
                    f.usuario.focus(); return false; 
                }else{
                    if (f.pass.value   == '') 
                    {
                        alert ('La contrase\u00f1a esta vacia');  
                        f.pass.focus(); return false; 
                    }
                    else{
                            $.ajax({
                                url     : 'validar.php',
                                type    : 'post',
                                dataType: 'text',
                                data    : 'usuario='+usuario+'&pass='+pass,
                                success : function(res){
                                   
                                    if(res == 1 ){
                                        //alert (res);
                                        window.location.href = 'index.php';
                                    }else{
                                        alert ("Error de inicio de sesion");
                                    }
                                },error: function(){
                                    //alert ('Error');
                                }
                            });
                    }
                }


            }
            
            function eliminabanner(id){
                $.ajax({
                url     : 'carrito_borrar.php',
                type    : 'post',
                dataType: 'text',
                data    : 'id='+id,
                success : function(res){
                    $('#carro'+id).hide();
                },error: function(){
                    alert('No se encontro el archivo ...');
                }
                });
            }

            function realizarpedido(id){
                var carro = $('#carron').val();
                $.ajax({
                url     : 'pedidouser.php',
                type    : 'post',
                dataType: 'text',
                data    : 'id='+id+'&carro='+carro,
                success : function(res){
                    alert('Muchas gracias por su pedido');
                    window.location.href= 'index.php';
                },error: function(){
                    alert('No se encontro el archivo ...');
                }
                });
            }
        </script>

    </head>
	<body>
		<div id="header">
        <?php
        /* if($nom !=''){
        ?>
        <ul>
            <li><?php echo "Bienvenido, $nom."?></li>
            <li id="cerrarsesion"><a href="logout.php">Cerrar Sesion</a></li>
        </ul>
        <?php
        }else{
            ?>
            <form id="loginusuario" method="post"  onSubmit="Iniciar(this);">
                <input type="text" name="usuario" id="usuario" placeholder="Usuario"></br>
                <input type="text" name="pass" id="pass" placeholder="Contrase&ntilde;a"></br>
                <input type="Submit" name="guardar" id="userlog" class="boton" value="Entrar"> 
            </form>
            <?php
        }*/
        ?>
        <img src="imagenes/logo.jpg" id="logo" align="center">
    </br>
    </br>
    <ul>
            <li><?php echo "Bienvenido, $nom."?></li>
            <li id="cerrarsesion"><a href="logout.php">Cerrar Sesion</a></li>
        </ul>
    </div>
	    <div id ="menu">
	        <ul align="center">
	            <li><a href="catalogo.php">Catalogo</a></li>
	            <?php if($nom != '')
	            {?>
	            	<li><a href="carrito.php">Pedido</a></li>
	            <?php
	        	}else{ ?>
	            <li><a href="registro.php">Registro</a></li>
	            <?php }?>
	            <li><a href="pedidos_lista.php">Historial</a></li>
	            
	        </ul>
	    </div>

        <div id="Carrito">
            <ul>
                <li>Bienvenido al area de pedidos. </br> Estos productos has seleccionado: </li>
                <?php 

                for($i=0;$i<$num;$i++){
                    

                    $idprod = mysqli_result($res,$i,"idproducto");
                    $cantidad = mysqli_result($res, $i,"cantidad");
                    
                    $sqla= "SELECT * FROM productos where idprod = '$idprod' and activado=1 and eliminado=0";
                    $resa = mysqli_query($conexion,$sqla);
                    $numa= mysqli_num_rows($resa);
                    for($j=0;$j<$numa;$j++){
                        $nomprod = mysqli_result($resa, $j,"nombre");
                        $precio = mysqli_result($resa, $j,"precio");
                        $precio = number_format($precio,2,'.','');
                        $suma = $precio * $cantidad;
                        $sumat = number_format($suma,2,'.','');
                        ?>
                        <ul id="carro<?php echo$idprod;?>">
                        </br>
                            <li><span id="prod">Producto:</span> <span id="canti">Cantidad:</span> <span id="precio">Precio:</span> <span id="totales"> Total:</span></li></br>
                            <li ><span id="prod" style="text-decoration:none;"><?php echo $nomprod;?></span><span id="canti" style="text-decoration:none;"> <?php echo $cantidad;?></span> <span id="precio" style="text-decoration:none;"><?php echo '$'.$precio;?></span> <span id="totales" style="text-decoration:none;"><?php echo '$'.$sumat;?></span> <button id="btncarrito" class="boton" onclick="eliminabanner(<?php echo $idprod;?>);" >Eliminar</button></li> 
                        </ul>
                        <?php
                        
                        $sumatotal = $sumatotal + $suma;
                    }
                 }
                 $sumatotal = number_format($sumatotal,2,'.','');
                ?>
            
           
            <!--<li>
                <?php 
/*
                for($i=0;$i<$num;$i++){
                    

                    $idprod = mysqli_result($res,$i,"idproducto");
                    $cantidad = mysqli_result($res, $i,"cantidad");
                    
                    $sqla= "SELECT * FROM productos where idprod = '$idprod' and activado=1 and eliminado=0";
                    $resa = mysqli_query($conexion,$sqla);
                    $numa= mysqli_num_rows($resa);
                    for($j=0;$j<$numa;$j++){
                        $nomprod = mysqli_result($resa, $j,"nombre");
                        $precio = mysqli_result($resa, $j,"precio");

                        ?>
                        <ul id="carro<?php echo$idprod;?>">
                        </br>
                            <li><span id="prod">Producto:</span> <span id="canti">Cantidad:</span> <span id="precio">Precio</span></li></br>
                            <li ><span id="prod" style="text-decoration:none;"><?php echo $nomprod;?></span><span id="canti" style="text-decoration:none;"> <?php echo $cantidad;?></span> <span id="precio" style="text-decoration:none;"><?php echo $precio;?></span> </li> 
                        </ul>
                        <?php
                        $suma = $precio * $cantidad;
                        $total = $total + $suma;
                         
                    }
                 }
*/
                ?>
            </li>
        -->
        </br>
        </br>
        </br>
        <p> A que carro o caja se le asignara este pedido:</p>
        <input type="number" name="carro" id="carron">
        </br>
        </br>
        </br>
            <li>Total: &nbsp; <?php echo "$ $sumatotal ";?></li>
            <li></br><button onclick="realizarpedido(this);" class ="boton">Realizar pedido</button></li>
            </ul>
        </div>

		
	</body>